import { HTMLProps } from "react";
export interface ColorSwitchProps extends HTMLProps<HTMLButtonElement> {
    /** Diameter of the color switch */
    size?: number;
    /** Skip system colorScheme while toggling */
    skipSystem?: boolean;
    targetSelector?: string;
}
/**
 * Color switch button to quickly set user preference
 *
 * @example
 * ```ts
 * <ColorSwitch />
 * ```
 *
 * Custom size & skipSystem
 *
 * ```ts
 * <ColorSwitch size={20} skipSystem />
 * ```
 */
export declare const ColorSwitch: ({ size, skipSystem, targetSelector, className, ...props }: ColorSwitchProps) => import("react/jsx-runtime").JSX.Element;
