import type { ThemeStoreType } from "../../store";
import type { ColorSchemeType, ResolvedColorSchemeType } from "../../types";
type ValuesType = [ResolvedColorSchemeType, ColorSchemeType, string, string];
export type UpdateDOMFunc = (values: ValuesType, targetSelector: string) => void;
export type ResolveFunc = (store: ThemeStoreType) => ValuesType;
export type UpdateForcedPropsFunc = (forcedThemeProp?: string, forcedColorSchemeProp?: ColorSchemeType) => void;
declare global {
    var m: MediaQueryList;
    var u: UpdateDOMFunc;
    var r: ResolveFunc;
    var f: UpdateForcedPropsFunc;
}
export type ScriptArgs = [
    string,
    ThemeStoreType,
    Record<string, string> | undefined,
    string | undefined,
    ColorSchemeType | undefined
];
/** @internal Script to be injected for avoiding FOUC */
export declare const noFOUCScript: (key: string, initialState: ThemeStoreType, styles?: Record<string, string>, forcedTheme_?: string, forcedColorScheme_?: ColorSchemeType) => void;
export {};
