import { ColorSchemeType, ResolvedColorSchemeType } from "../types";
export interface UseThemeYield {
    theme: string;
    darkTheme: string;
    lightTheme: string;
    colorSchemePref: ColorSchemeType;
    systemColorScheme: ResolvedColorSchemeType;
    resolvedColorScheme: ResolvedColorSchemeType;
    resolvedTheme: string;
    setTheme: (theme: string) => void;
    setDarkTheme: (darkTheme: string) => void;
    setLightTheme: (lightTheme: string) => void;
    setThemeSet: (themeSet: {
        darkTheme: string;
        lightTheme: string;
    }) => void;
    setColorSchemePref: (colorSchemePref: ColorSchemeType) => void;
    toggleColorScheme: (skipSystem?: boolean) => void;
    setForcedTheme: (forcedTheme: string) => void;
    setForcedColorScheme: (forcedColorScheme: ColorSchemeType) => void;
}
/**
 *
 *
 * @example
 * ```tsx
 * const [] = useTheme(options);
 * ```
 */
export declare const useTheme: (targetSelector?: string) => UseThemeYield;
